Package htsjdk.variant.vcf

# Enum Class VCFHeaderVersion

java.lang.Object
java.lang.Enum<VCFHeaderVersion>
htsjdk.variant.vcf.VCFHeaderVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<VCFHeaderVersion>`, `Constable`

public enum VCFHeaderVersion extends Enum<VCFHeaderVersion>
information that identifies each header version

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`VCF3_2`
`VCF3_3`
`VCF4_0`
`VCF4_1`
`VCF4_2`
`VCF4_3`
`VCF4_4`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormatString()`
`static VCFHeaderVersion`
`getHeaderVersion(String versionLine)`
`String`
`getVersionString()`
`boolean`
`isAtLeastAsRecentAs(VCFHeaderVersion target)`
Determines whether this version is at least as recent as a given version
`static boolean`
`isFormatString(String format)`
are we a valid format string for some type
`static boolean`
`isVersionString(String version)`
are we a valid version string of some type
`static VCFHeaderVersion`
`toHeaderVersion(String version)`
get the header version
`static VCFHeaderVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VCFHeaderVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VCF3_2

public static final VCFHeaderVersion VCF3_2

### VCF3_3

public static final VCFHeaderVersion VCF3_3

### VCF4_0

public static final VCFHeaderVersion VCF4_0

### VCF4_1

public static final VCFHeaderVersion VCF4_1

### VCF4_2

public static final VCFHeaderVersion VCF4_2

### VCF4_3

public static final VCFHeaderVersion VCF4_3

### VCF4_4

public static final VCFHeaderVersion VCF4_4

## Method Details

### values

public static VCFHeaderVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VCFHeaderVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toHeaderVersion

public static VCFHeaderVersion toHeaderVersion(String version)
get the header version

Parameters:
  `version` - the version string
Returns:
  a VCFHeaderVersion object

### isVersionString

public static boolean isVersionString(String version)
are we a valid version string of some type

Parameters:
  `version` - the version string
Returns:
  true if we're valid of some type, false otherwise

### isFormatString

public static boolean isFormatString(String format)
are we a valid format string for some type

Parameters:
  `format` - the format string
Returns:
  true if we're valid of some type, false otherwise

### getHeaderVersion

public static VCFHeaderVersion getHeaderVersion(String versionLine)

### isAtLeastAsRecentAs

public boolean isAtLeastAsRecentAs(VCFHeaderVersion target)
Determines whether this version is at least as recent as a given version

Parameters:
  `target` - the target version to compare against
Returns:
  true if this version is at least as recent as the target version, false otherwise

### getVersionString

public String getVersionString()

### getFormatString

public String getFormatString()